Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Interface XSQLPageRequest

All Known Implementing Classes:
  XSQLPageRequestImpl

public interface XSQLPageRequest

Interface representing a request for an XSQL Page

Method Summary
`XSQLPageRequest` | `createNestedRequest(java.lang.String baseuri, java.net.URL pageurl, java.util.Dictionary params, java.io.PrintWriter overriddenWriter, java.io.OutputStream overriddenOutputStream)` Returns an instance of a nested Request
`java.lang.String` | `getBaseURI()` Returns a String representation of the requested document's Base URI
`XSQLConnectionManagerFactory` | `getConnectionManagerFactory()` Returns the instance of the connection manager factory to use for this request
`java.lang.String` | `getConnectionName()` Returns the name of the connection being used for this request May be null if no connection set/in-use.
`java.io.PrintWriter` | `getErrorWriter()` Returns a PrintWriter to print out errors processing this request
`java.sql.Connection` | `getJDBCConnection()` Gets the JDBC connection being used for this request (can be null)
`java.io.OutputStream` | `getOutputStream()` Returns an OutputStream used for writing out the results of a page request
`java.lang.String` | `getPageEncoding()` Returns encoding of source XSQL Page associated with this request
`java.lang.String` | `getParameter(java.lang.String name)` Returns the value of the requested parameter
`java.lang.String[]` | `getParameterValues(java.lang.String name)` Returns an array of values for the requested parameter
`Document` | `getPostedDocument()` Returns the content of Posted XML for this request as an XML Document
`java.lang.Object` | `getRequestObject(java.lang.String name)` Gets a request-scope object
`Document` | `getRequestParamsAsXMLDocument()` Returns the content of a Request parameters as an XML Document
`java.lang.String` | `getRequestType()` Returns a string identifying the type of page request being made.
`java.lang.String` | `getSourceDocumentURI()` Returns a String representation of the requested document's URI
`java.lang.String` | `getStylesheetParameter(java.lang.String name)` Gets a stylesheet parameter by name
`java.util.Enumeration` | `getStylesheetParameters()` Gets an enumeration of stylesheet parameter names
`java.lang.String` | `getStylesheetURI()` Returns the URI of the stylesheet to be used to process the result.
`java.lang.String` | `getUserAgent()` Returns a String identifier of the requesting program
`java.io.PrintWriter` | `getWriter()` Returns a PrintWriter used for writing out the results of a page request
`XSQLConnection` | `getXSQLConnection()` Gets the XSQLConnection Object being used for this request Might be null.
`oracle.xml.xsql.XSQLPage` | `getXSQLPage()` Returns an instance of an XSQLPage representing the current request
`boolean` | `isErrorSignalled()` Returns true if processing error has occurred during this request
`boolean` | `isIncludedRequest()` Returns true if this request is being included in another.
`boolean` | `isOracleDriver()` Returns true if the current connection uses the Oracle JDBC Driver
`boolean` | `isUseOutputStream()` Returns true if request is using an output stream instead of a PrintWriter
`boolean` | `printedErrorHeader()` Returns the state of whether an Error Header has been printed
`void` | `requestProcessed()` Allows Page Request to Perform end-of-request processing
`void` | `setConnectionName(java.lang.String connName)` Sets the connection name to use for this request
`void` | `setContentType(java.lang.String mimetype)` Sets the content type of the resulting page
`void` | `setErrorHandlerClass(java.lang.String className)` Sets classname to use to override default ErrorWriter for this request.
`void` | `setIncludingRequest(XSQLPageRequest includingEnv)` Sets the Including Page Request object for this request.
`void` | `setPageEncoding(java.lang.String enc)` Sets encoding of source XSQL page associated with this request.
`void` | `setPageParam(java.lang.String name, java.lang.String value)` Sets a dynamic page parameter value.
`void` | `setPageParam(java.lang.String name, java.lang.String[] value)` Sets a dynamic page parameter value to a string array
`void` | `setPostedDocument(Document doc)` Allows programmatic setting of the Posted Document
`void` | `setPrintedErrorHeader(boolean yes)` Sets whether an Error Header has been printed
`void` | `setRequestObject(java.lang.String name, java.lang.Object obj)` Sets a request-scope object
`void` | `setStylesheetParameter(java.lang.String name, java.lang.String value)` Sets the value of a parameter to be passed to the associated stylesheet
`void` | `setStylesheetURI(java.lang.String uri)` Sets the URI of the stylesheet to be used to process the result.
`void` | `signalError(int errorCode, java.lang.String[] errorMessageArgs, java.lang.Object[] supplementalErrorInfo)` Signals a processing error for this request
`void` | `signalError(java.lang.String message)` Signals a processing error for this request
`java.lang.String` | `translateURL(java.lang.String url)` Returns a string representing an absolute URL resolved relative to the base URI for this request.
`boolean` | `useConnectionPooling()` Returns true if connection pooling is desired for this request
`boolean` | `useHTMLErrors()` Returns true if HTML-formatted error messages are desired for this request

Method Detail

### printedErrorHeader

    public boolean printedErrorHeader()

  Returns the state of whether an Error Header has been printed

### setPrintedErrorHeader

    public void setPrintedErrorHeader(boolean yes)

  Sets whether an Error Header has been printed

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Returns the value of the requested parameter
  Parameters:
    `name` - the name of the parameter

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Returns an array of values for the requested parameter
  Parameters:
    `name` - the name of the parameter

### getSourceDocumentURI

    public java.lang.String getSourceDocumentURI()

  Returns a String representation of the requested document's URI

### getBaseURI

    public java.lang.String getBaseURI()

  Returns a String representation of the requested document's Base URI

### getWriter

    public java.io.PrintWriter getWriter()

  Returns a PrintWriter used for writing out the results of a page request

### useConnectionPooling

    public boolean useConnectionPooling()

  Returns true if connection pooling is desired for this request

### useHTMLErrors

    public boolean useHTMLErrors()

  Returns true if HTML-formatted error messages are desired for this request

### getErrorWriter

    public java.io.PrintWriter getErrorWriter()

  Returns a PrintWriter to print out errors processing this request

### getUserAgent

    public java.lang.String getUserAgent()

  Returns a String identifier of the requesting program

### setContentType

    public void setContentType(java.lang.String mimetype)

  Sets the content type of the resulting page

### translateURL

    public java.lang.String translateURL(java.lang.String url)

  Returns a string representing an absolute URL resolved relative to the base URI for this request.

### getRequestType

    public java.lang.String getRequestType()

  Returns a string identifying the type of page request being made.

### setStylesheetURI

    public void setStylesheetURI(java.lang.String uri)

  Sets the URI of the stylesheet to be used to process the result.

### getStylesheetURI

    public java.lang.String getStylesheetURI()

  Returns the URI of the stylesheet to be used to process the result.

### getPostedDocument

    public Document getPostedDocument()

  Returns the content of Posted XML for this request as an XML Document

### setPostedDocument

    public void setPostedDocument(Document doc)

  Allows programmatic setting of the Posted Document

### getRequestParamsAsXMLDocument

    public Document getRequestParamsAsXMLDocument()

  Returns the content of a Request parameters as an XML Document

### setPageEncoding

    public void setPageEncoding(java.lang.String enc)

  Sets encoding of source XSQL page associated with this request.

### getPageEncoding

    public java.lang.String getPageEncoding()

  Returns encoding of source XSQL Page associated with this request

### setStylesheetParameter

    public void setStylesheetParameter(java.lang.String name,
                                       java.lang.String value)

  Sets the value of a parameter to be passed to the associated stylesheet

### getStylesheetParameters

    public java.util.Enumeration getStylesheetParameters()

  Gets an enumeration of stylesheet parameter names

### getStylesheetParameter

    public java.lang.String getStylesheetParameter(java.lang.String name)

  Gets a stylesheet parameter by name

### setConnectionName

    public void setConnectionName(java.lang.String connName)
                           throws java.sql.SQLException

  Sets the connection name to use for this request
    `java.sql.SQLException`

### getConnectionName

    public java.lang.String getConnectionName()

  Returns the name of the connection being used for this request May be null if no connection set/in-use.

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()

  Gets the JDBC connection being used for this request (can be null)

### requestProcessed

    public void requestProcessed()

  Allows Page Request to Perform end-of-request processing

### getXSQLConnection

    public XSQLConnection getXSQLConnection()

  Gets the XSQLConnection Object being used for this request Might be null.

### setIncludingRequest

    public void setIncludingRequest(XSQLPageRequest includingEnv)

  Sets the Including Page Request object for this request.

### isIncludedRequest

    public boolean isIncludedRequest()

  Returns true if this request is being included in another.

### isOracleDriver

    public boolean isOracleDriver()

  Returns true if the current connection uses the Oracle JDBC Driver

### setPageParam

    public void setPageParam(java.lang.String name,
                             java.lang.String value)

  Sets a dynamic page parameter value.

### setPageParam

    public void setPageParam(java.lang.String name,
                             java.lang.String[] value)

  Sets a dynamic page parameter value to a string array

### setRequestObject

    public void setRequestObject(java.lang.String name,
                                 java.lang.Object obj)

  Sets a request-scope object

### getRequestObject

    public java.lang.Object getRequestObject(java.lang.String name)

  Gets a request-scope object

### createNestedRequest

    public XSQLPageRequest createNestedRequest(java.lang.String baseuri,
                                               java.net.URL pageurl,
                                               java.util.Dictionary params,
                                               java.io.PrintWriter overriddenWriter,
                                               java.io.OutputStream overriddenOutputStream)

  Returns an instance of a nested Request

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns an OutputStream used for writing out the results of a page request

### getXSQLPage

    public oracle.xml.xsql.XSQLPage getXSQLPage()
                                         throws SAXParseException,
                                                java.io.FileNotFoundException

  Returns an instance of an XSQLPage representing the current request
    `SAXParseException`
    `java.io.FileNotFoundException`

### isUseOutputStream

    public boolean isUseOutputStream()

  Returns true if request is using an output stream instead of a PrintWriter

### getConnectionManagerFactory

    public XSQLConnectionManagerFactory getConnectionManagerFactory()

  Returns the instance of the connection manager factory to use for this request

### isErrorSignalled

    public boolean isErrorSignalled()

  Returns true if processing error has occurred during this request

### signalError

    public void signalError(int errorCode,
                            java.lang.String[] errorMessageArgs,
                            java.lang.Object[] supplementalErrorInfo)

  Signals a processing error for this request

### signalError

    public void signalError(java.lang.String message)

  Signals a processing error for this request

### setErrorHandlerClass

    public void setErrorHandlerClass(java.lang.String className)
                              throws oracle.xml.xsql.XSQLInitializationException

  Sets classname to use to override default ErrorWriter for this request. Only has an effect if the current request is the topmost request. That is, nested requests cannot change the errorWriter just for the nested scope.
    `oracle.xml.xsql.XSQLInitializationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.